QGIS Application - Bug report #18453
QGIS crashes when | remove from layer panel multiple layers with svg markers
2018-03-15 09:20 PM - James Greener

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.18.16 Regression?: No

Operating System: Windows 10 Enterprise Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corruptsdata: Copied to github as #: 26341
Description

| have to load 3-5 layers from a database, set styles for them and delete layers regularly at my work. When | load the layers without setting
the style to one with an svg marker, and delete the layers, QGIS does not crash.

But, when | do the same thing with the style changed to one with an svg marker, and delete them, QGIS will crash fairly consistently.

The svg's used for the symbols were made in Inkscape and are saved locally on my PC.

History

#1 - 2018-03-23 10:27 PM - James Greener

| changed the symbols to not use an svg marker but to use a text marker instead, and when | would delete layers with the style changed in this way, QGIS
would report the same error message and crash.

Error reads, "Crash dumped: minidump written to C:\users\name\AppData\Local\Temp\qgis-... .dmp"

#2 - 2018-03-23 10:33 PM - James Greener

Additionally, QGIS does not crash when the 'symbol layer type' is set to 'simple marker' for these layers, but when the 'symbol layer type' is set to Font

marker or SVG marker, QGIS will crash when | remove the layer. These non-simple marker types are very helpful in quickly identifying the many scenarios
that are being quality controlled.

#3 - 2018-03-23 11:26 PM - Nyall Dawson
- Status changed from Open to Feedback

Please test with 3.0.1 - it's likely this issue is fixed by a commit in that release.

#4 - 2018-08-16 02:17 PM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

Closing for lack of feedback.
